/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.storage;

import java.io.DataInputStream;
import java.io.IOException;

/**
 * Container class contains deserialized object an related
 * index on the recordstore 
 */
public class Serialized {
    private Serializable object = null;
    private int ObjectId=0;
    public Serialized(DataInputStream in, Serializable s,  int index)
    throws IOException {
        object = s;
        object.deserialize(in);
        this.ObjectId = index;
    }
    
    /**
     * Object content getter
     * @return Serializable object
     */
    public Serializable getObject() {
        return this.object;
    }

    /**
     * Object content getter
     * @return Object related index
     */
    public int getObjectId() {
        return this.ObjectId;
    }
}
