/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.util;

import com.funambol.storage.DataAccessException;

public interface Appender {
    
    /**
     * Initialize Log File
     */
    void initLogFile();
    
    /**
     * Open Log file
     */
    void openLogFile();
    
    /**
     * Close Log file
     */
    void closeLogFile();
    
    /**
     * Delete Log file
     */
    void deleteLogFile();
    
    /**
     * Append a message to the Log file
     */
    void writeLogMessage(String level, String msg) throws DataAccessException;
}

