/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.util;

import jmunit.framework.cldc10.AssertionFailedException;
import jmunit.framework.cldc10.TestCase;


/**
 * Testing the MD5 implementation.
 */
public class MD5Test extends TestCase {
    
    private MD5 md5;
    
    /** Creates a new instance of ThreadPoolTest */
    public MD5Test() {
        super(1, "MD5Test");
        Log.setLogLevel(Log.TRACE);
        md5 = new MD5();
    }
    
    public void test(int i) throws Throwable {
        switch(i) {
            case 0:
                testAuth();
                break;
            default:
                break;
        }
    }
    
    public void testAuth() throws AssertionFailedException {

        // Set config parameters
        String username = "test1";
        String password = "test1";
        String nonce = "OGc6NVYuNyMuITQvTj1dcA==";

        byte[] credentials = md5.computeMD5Credentials(username, password,
                                                       nonce.getBytes());

        String expectedCred = "6yCj39RcoU31wnz3zOo0bQ==";
        byte[] expectedBytes = expectedCred.getBytes();

        boolean equal = true;
        if (credentials.length != expectedBytes.length) {
            equal = false;
        } else {
            for(int i=0;i<credentials.length;++i) {
                if (credentials[i] != expectedBytes[i]) {
                    equal = false;
                    break;
                }
            }
        }

        if (equal) {
            Log.info("Autentication test passed!");
        } else {
            Log.error("Autentication test failed!");
        }

        assertTrue(equal);
    }
}
